Command reference
deployments email
Platform tenant-scoped email delivery
deployments email send
Send email and return the provider acceptance receipt.
deployments email send <tenant-id> --from <from> --to <json> --subject <subject>- Calls
POST /v1/email/tenants/{tenantId}/messages(SDKsendEmail). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<tenantId> | positional | yes | Sending tenant ID | |
--from | string | yes | Sender mailbox; display name allowed | |
--to | string (json) | yes | JSON array of recipient mailboxes | |
--cc | string (json) | JSON array of CC mailboxes | ||
--bcc | string (json) | JSON array of BCC mailboxes | ||
--reply-to | string (json) | JSON array of reply-to mailboxes | ||
--subject | string | yes | Message subject | |
--text | string | Plain-text body; prefer --text-file or --text-env for secrets | ||
--html | string | HTML body; prefer --html-file or --html-env for secrets | ||
--text-file | string | File containing the plain-text body | ||
--html-file | string | File containing the HTML body | ||
--text-env | string | Environment variable containing the plain-text body | ||
--html-env | string | Environment variable containing the HTML body |
Also accepts the global flags.